curl --request GET \
--url https://app.supercycle.com/api/v1/custom_field_definitions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"key": "<string>",
"name": "<string>",
"ownerType": "item",
"type": "string",
"groupFulfillments": true
}
],
"nextPage": "<string>"
}Returns a list of custom field definitions filtered by owner type.
curl --request GET \
--url https://app.supercycle.com/api/v1/custom_field_definitions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"key": "<string>",
"name": "<string>",
"ownerType": "item",
"type": "string",
"groupFulfillments": true
}
],
"nextPage": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 50.
x <= 100Cursor token to fetch next page of results.
Filter definitions by owner type (required)
item, rental Was this page helpful?